

% Parametros de resolucao

ContadorMax = 10;

% Definicao do sistema
mu = 0.1;
F = @(t,x) x;

t = (0:0.01:1)';             % Intervalo de resolucao
x0 = 1;               % Condicao inicial

xi = ones(size(t))*x0;      % Curva inicial para iteracao

x = zeros([size(xi),ContadorMax]);
x(:,:,1) = xi;

% Definicao do metodo de integracao
%integrador = @(y) Retangulo(t,y,F);
integrador = @(y) Trapezio(t,y,F);

% Iterando Metodo de Picard
figure;
for i = 2:ContadorMax
    
    x(:,:,i) = xi + integrador(x(:,:,i-1));
    
    plot(t,x(:,1,i))
    %plot(x(:,1,i),x(:,2,i))
    pause(1)
    
end
hold on
plot(t,exp(t),'--r')
